Page MenuHomePhabricator

Configure suggestion constraint level on Beta
Closed, ResolvedPublic

Description

  • import the entity
  • merge a config change to configure the new entity ID
  • merge a config change to enable suggestion constraints

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 4:50 PM

Mentioned in SAL (#wikimedia-releng) [2019-04-16T17:36:37Z] <Lucas_WMDE> lucaswerkmeister-wmde@deployment-deploy01:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintEntities.php --wiki=wikidatawiki --config-format=wgConf | tee T221107.php

Maintenance script output:

'wgWBQualityConstraintsSubclassOfId' => [
	'default' => 'P279',
	'wikidatawiki' => 'P279',
],

'wgWBQualityConstraintsSuggestionConstraintId' => [
	'default' => 'Q62026391',
	'wikidatawiki' => 'Q524851',
],

Took 4.606 s to run (2.816 s user, 0.604 s system).

We can ignore the “subclass of” part, that’s just a fluke (the script doesn’t expect the local entity to actually have the same ID as the original one, so it keeps outputting it).

Change 504386 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Configure suggestion constraint status on Beta Wikidata

https://gerrit.wikimedia.org/r/504386

Change 504386 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure suggestion constraint status on Beta Wikidata

https://gerrit.wikimedia.org/r/504386

Mentioned in SAL (#wikimedia-operations) [2019-04-16T17:46:56Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: [[gerrit:504386|no-op preparatory change (T221107)]] (duration: 00m 52s)

Change 504389 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Enable suggestion constraint status on Beta Wikidata

https://gerrit.wikimedia.org/r/504389

Change 504389 abandoned by Lucas Werkmeister (WMDE):
Enable suggestion constraint status on Beta Wikidata

Reason:
Yeah, let’s just wait until suggestion constraints are enabled by default.

https://gerrit.wikimedia.org/r/504389

Lucas_Werkmeister_WMDE updated the task description. (Show Details)EditedApr 30 2019, 5:13 PM

Moving to “stalled” – once the suggestion constraint status is enabled by default in WikibaseQualityConstraints, we can verify that it also works on Beta, and then close this task.